  -- love.graphics.setBackgroundColor(104, 136, 248) --set the background color to a nice blue
  love.graphics.setBackgroundColor(41, 126, 222) --set the background color to a nice blue
  box2d:init(1440, 900, 500); -- x, y, gravity
  require '../objects'   -- the objects class and associated functions
  player:init(120, 100);
  spear:init();
 
  ground = platform:new(1300/2, 825, 1300, 50);

  wall_left  = wall:new(5,    400, 10, 800);
  wall_right = wall:new(1295, 400, 10, 800);

  plat1 = platform:new(250, 700, 180, 32);
  plat2 = platform:new(365, 550, 300, 32);
  plat3 = platform:new(55,  625,  90, 32);

  pad1  = pad:new(550, 795, 50, 10);

  box1  = box:new(300, 200, 32, 32);
  box2  = box:new(300, 160, 32, 32);
  box3  = box:new(300, 120, 32, 32);

level1 = class:new()

function level1:draw()

  love.graphics.setColor(255, 255, 255) --reset the drawing color to white
  cx = camera._x;
  cy = camera._y;
  groundcamy = 480;
  
  -- first draw the background scene
  love.graphics.draw(textures.bg, cx, 0, 0, 1440, 1.1	, 0, 0) -- draw the background and stretch it over the horizon. offset by camera.x so that it follows the view
  love.graphics.setColor(255, 240, 240, 255) -- adjust the sun colour a bit
  love.graphics.setBlendMode('additive')
  love.graphics.draw(textures.sun, 200 + cx*0.9, 300 + (cy-groundcamy)*0.3, 0, 1, 1, 0, 0)
  
  love.graphics.setColor(240, 255, 255, 255) -- adjust the clouds colour a bit
  love.graphics.setBlendMode('alpha')
  love.graphics.draw(textures.cloud1, 250 + cx*0.5, 450 + (cy-groundcamy)*0.2, 0, 1, 1, 0, 0)
  love.graphics.draw(textures.cloud2, 400 + cx*0.5, 340 + (cy-groundcamy)*0.2, 0, 1, 1, 0, 0)
  
  love.graphics.draw(textures.cloud3, 450 + cx*0.3, 350 + (cy-groundcamy)*0.2, 0, 1, 1, 0, 0)
  
  -- love.graphics.setColor(255, 255, 255) --set the drawing color to white for the text
  -- love.graphics.setFont(fonts.large)
  -- love.graphics.print("cam: " .. cx .. ":" .. cy, cx + 10, cy + 10 )
  -- end of background scene
	
  love.graphics.setColor(72, 160, 14) -- set the drawing color to green for the ground
  love.graphics.polygon("fill", ground.shape:getPoints()) -- draw a "filled in" polygon using the ground's coordinates

  love.graphics.setColor(172, 72, 72) -- set the drawing color to red for the walls
  love.graphics.polygon("fill", wall_left.shape:getPoints()) -- draw a "filled in" polygon using the wall's coordinates
  love.graphics.polygon("fill", wall_right.shape:getPoints()) -- draw a "filled in" polygon using the wall's coordinates

  love.graphics.setColor(150, 150, 150) -- set the drawing color to grey for the platforms

  love.graphics.polygon("fill", plat1.shape:getPoints());
  love.graphics.polygon("fill", plat2.shape:getPoints());
  love.graphics.polygon("fill", plat3.shape:getPoints());

  love.graphics.setColor(72, 60, 220) -- set the drawing color to blue for the pad
  love.graphics.polygon("fill", pad1.shape:getPoints())

  love.graphics.setColor(250, 250, 250) --set the drawing color to white for the images

  love.graphics.draw(textures.crate, box1.body:getX(), box1.body:getY(), box1.body:getAngle(), 1, 1, 16, 16);
  love.graphics.draw(textures.crate, box2.body:getX(), box2.body:getY(), box2.body:getAngle(), 1, 1, 16, 16);
  love.graphics.draw(textures.metal_crate, box3.body:getX(), box3.body:getY(), box3.body:getAngle(), 1, 1, 16, 16);



  love.graphics.setColor(250, 250, 250, 255) -- solid again
end
