-- Masai is a 2D platform game based on Masai folklore.
-- It uses the LÖVE 2D game engine. http://love2d.org

-- by Cantide aka Kanchi aka Karl Wortmann ( karlwortmann@gmail.com )



-- objects.lua


--objects = {}

object = class:new()

function object:create(x, y, w, h)
--         table.insert(objects, self)
         self.body  = love.physics.newBody(box2d.world, x, y, 0, 0)
         self.shape = love.physics.newRectangleShape(self.body, 0, 0, w, h, 0)
end


platform = object:new()  -- platform class
function platform:init(x, y, w, h)
         self:create(x, y, w, h)
         self.shape:setRestitution(0);
         self.shape:setCategory(2);
end

wall = object:new()  -- wall class -> wall's can't be 'climbed'
function wall:init(x, y, w, h)
         self:create(x, y, w, h)
         self.shape:setRestitution(0);
         self.shape:setCategory(2);
         self.shape:setData("wall");
end

pad = object:new()  -- pad class
function pad:init(x, y, w, h)
         self:create(x, y, w, h)
         self.shape:setRestitution(2);
         self.shape:setCategory(2);
         self.shape:setData("pad");
end

box = object:new()  -- box class
function box:init(x, y, w, h)
         self:create(x, y, w, h)
         self.body:setMassFromShapes();
         self.shape:setRestitution(0);
         self.shape:setCategory(2);
end


bridge = class:new()
function bridge:init(x, y, s) -- where s is the number of 'planks'


end
--[[

		{
			b2PolygonDef sd;
			sd.SetAsBox(0.5f, 0.125f);
			sd.density = 250.0f;
			sd.friction = 0.2f;


			b2RevoluteJointDef jd;
			const int32 numPlanks = 30;

			b2Body* prevBody = ground;
			for (int i = 0; i < numPlanks; ++i)
			{
				b2BodyDef bd;
				bd.position.Set(-14.5f + 1.0f * i, 5.0f);
				b2Body* body = m_world->CreateDynamicBody(&bd);
				body->CreateShape(&sd);
				body->SetMassFromShapes();

				b2Vec2 anchor(-15.0f + 1.0f * i, 5.0f);
				jd.Initialize(prevBody, body, anchor);
				m_world->CreateJoint(&jd);

				prevBody = body;
			}

			b2Vec2 anchor(-15.0f + 1.0f * numPlanks, 5.0f);
			jd.Initialize(prevBody, ground, anchor);
			m_world->CreateJoint(&jd);
		}
]]
